/****************************************************************/
/*			    	  		TMS320C32							*/
/* 	======             BIOS, ,               ====== 	*/
/* 	 		   		 	  () 1998-2000 .				*/
/****************************************************************/
/*	Bios_dsp.h														*/
/****************************************************************/
                  /*    BIOS	*/
/****************************************************************/
#ifndef _BIOS_DSP
#define _BIOS_DSP

#ifdef __cplusplus
  extern "C" {  
#endif

#define BM_PACKED	1
#define BM_CHAR32	0

#define CHIEF 1
#define SLAVE 0

#define ADR_FOR_SPECIAL 0x100
#define  CMD_MODBUS_3 3
#define  ANS_MODBUS_3 4
#define  CMD_MODBUS_15 5
#define        CMD_MODBUS_6 6
#define        ANS_MODBUS_6 7
#define        CMD_MODBUS_16 16
/*

CMD_MODBUS_3 = 3,
      ANS_MODBUS_3 = 4,
      CMD_MODBUS_15 = 5,
      CMD_MODBUS_6 = 6,
      ANS_MODBUS_6 = 7,
      CMD_MODBUS_16 = 16,
	  */
enum {
      CMD_LOAD=51, CMD_UPLOAD, CMD_RUN, CMD_XFLASH, CMD_TFLASH, 
	  CMD_PEEK,   CMD_POKE,   CMD_INITLOAD, CMD_INIT,CMD_EXTEND,
	  
	  CMD_VECTOR=61,
	  CMD_IMPULSE,
	  /*    */
	  CMD_STD=65, CMD_STD_ANS
	  };
	      	             	               
enum {false=0, true};


/**   ,    -1     */
int get_command(RS_DATA *rs_arr);

/**  ,   */
void Answer(RS_DATA *rs_arr,int n);

/*   ( )*/
void init(RS_DATA *rs_arr);

/**@name 
* ,    */
//@{

/**   .
     */
void initload(RS_DATA *rs_arr); 

/**  . 
      RS */
void load(RS_DATA *rs_arr);

/**     Serial Boot.
 @precondition     
       
    RecvPtr,   - load
 @see load */
void run (RS_DATA *rs_arr); 

/**     */
void peek(RS_DATA *rs_arr);

/**     */
void poke(RS_DATA *rs_arr); 

/**    */
void upload(RS_DATA *rs_arr); 

/**  XILINX. 
 @precondition     
         
    RecvPtr  Length,   - load,
        
 @see load */
void xflash(RS_DATA *rs_arr); 

/**  TMS.
 @precondition     
         
    RecvPtr  Length,   - load
 @see load */
void tflash(RS_DATA *rs_arr); 


/*     */
void extendbios(RS_DATA *rs_arr);


void write_memory(unsigned long addr, unsigned int data);
unsigned int read_memory(unsigned long addr);


//@}


#ifdef __cplusplus
  }
#endif
     
#endif/* _BIOS_DSP */    
